NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::BendInsertDesignBuilder Class Reference

Represents a NXOpen::Tooling::BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend . More...

Inheritance diagram for NXOpen::Tooling::BendInsertDesignBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BendingDirectionOption { BendingDirectionOptionUp, BendingDirectionOptionDown }
 the bending direction. More...
 
enum  BendTypeOption {
  BendTypeOptionSbend, BendTypeOptionAbend, BendTypeOptionZbend, BendTypeOptionVbend,
  BendTypeOptionUzbend
}
 the bend type. More...
 
enum  BlankPositions { BlankPositionsPunchPlate, BlankPositionsStripperPlate }
 Specifies the blank position. More...
 
enum  InsertTypeOption { InsertTypeOptionPunch, InsertTypeOptionDie }
 the insert type. More...
 
enum  ParentOption { ParentOptionSub }
 the parent node. More...
 
enum  Types { TypesStandard, TypesUserDefined, TypesDelete }
 the bending operation. More...
 

Public Member Functions

void AddInsertComponent ()
 Add the new bend insert component
Created in NX8.0.0. More...
 
NXOpen::ScCollectorBendFace ()
 Returns the bend face. More...
 
NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption BendingDirection ()
 Returns the bending direction. More...
 
NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption BendType ()
 Returns the bend type. More...
 
NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions BlankPosition ()
 Returns the blank position in punch plate or stripper plate. More...
 
double BottomPlateClearance ()
 Returns the clearance value of bottom backing plate. More...
 
bool CompositeInsert ()
 Returns the composite insert. More...
 
bool ConceptDesign ()
 Returns the concept design option. More...
 
double DiePlateClearance ()
 Returns the clearance value of die plate. More...
 
NXOpen::ExpressionExtend ()
 Returns the extend. More...
 
NXOpen::ExpressionExtrudeEnd ()
 Returns the extrude end, A half when composite insert. More...
 
NXOpen::ExpressionExtrudeEnd1 ()
 Returns the extrude end B -half. More...
 
NXOpen::SectionExtrudeSketch ()
 Returns the extrude sketch. More...
 
NXOpen::ExpressionExtrudeStart ()
 Returns the extrude start, A half when composite insert. More...
 
NXOpen::ExpressionExtrudeStart1 ()
 Returns the extrude start - B half. More...
 
bool FalseBody ()
 Returns the false body creation option. More...
 
bool FlipTrimDirection ()
 Returns the flip trim feature direction of insert. More...
 
NXOpen::Assemblies::SelectComponentListInsertComponent ()
 Returns the select insert to delete
Created in NX8.0.0. More...
 
NXOpen::Assemblies::SelectComponentListInsertToEdit ()
 Returns the select insert to edit
Created in NX8.0.0. More...
 
NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption InsertType ()
 Returns the insert type. More...
 
NXOpen::PlaneIntersectPlane ()
 Returns the intersect plane. More...
 
bool IsAutoDatum ()
 Returns the auto datum plane
Created in NX8.0.0. More...
 
NXString NewPartName ()
 Returns the new component name. More...
 
NXOpen::Tooling::BendInsertDesignBuilder::ParentOption ParentNode ()
 Returns the parent node. More...
 
NXString ParentPartName ()
 Returns the parent part name to create insert. More...
 
double PunchPlateClearance ()
 Returns the clearance value of punch plate. More...
 
bool ReName ()
 Returns the rename option. More...
 
void SetAutoDatum (bool isInner)
 Sets the auto datum plane
Created in NX8.0.0. More...
 
void SetBendingDirection (NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption bendingDirection)
 Sets the bending direction. More...
 
void SetBendType (NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption bendType)
 Sets the bend type. More...
 
void SetBlankPosition (NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions blankPosition)
 Sets the blank position in punch plate or stripper plate. More...
 
void SetBottomPlateClearance (double bottomPlateClr)
 Sets the clearance value of bottom backing plate. More...
 
void SetCompositeInsert (bool compositeInsert)
 Sets the composite insert. More...
 
void SetConceptDesign (bool conceptDesign)
 Sets the concept design option. More...
 
void SetDiePlateClearance (double diePlateClr)
 Sets the clearance value of die plate. More...
 
void SetFaces (const std::vector< NXOpen::Face * > &faceOccs)
 Sets the face occurrences into builder attribute. More...
 
void SetFalseBody (bool falseBody)
 Sets the false body creation option. More...
 
void SetFlipTrimDirection (bool flipTrimDirection)
 Sets the flip trim feature direction of insert. More...
 
void SetInsertType (NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption insertType)
 Sets the insert type. More...
 
void SetIntersectPlane (NXOpen::Plane *intersectPlane)
 Sets the intersect plane. More...
 
void SetNewPartName (const NXString &newPartNames)
 Sets the new component name. More...
 
void SetNewPartName (const char *newPartNames)
 Sets the new component name. More...
 
void SetParentNode (NXOpen::Tooling::BendInsertDesignBuilder::ParentOption parentNode)
 Sets the parent node. More...
 
void SetParentPartName (const NXString &parentPart)
 Sets the parent part name to create insert. More...
 
void SetParentPartName (const char *parentPart)
 Sets the parent part name to create insert. More...
 
void SetPunchPlateClearance (double punchPlateClr)
 Sets the clearance value of punch plate. More...
 
void SetReName (bool reName)
 Sets the rename option. More...
 
void SetStripperPlateClearance (double stripperPlateClr)
 Sets the clearance value of stripper plate. More...
 
void SetType (NXOpen::Tooling::BendInsertDesignBuilder::Types type)
 Sets the operation type of bending insert design. More...
 
void SetUseBottomPlateClearance (bool useBPClearance)
 Sets the option to use bottom backing plate clearance. More...
 
void SetUseDiePlateClearance (bool useDPClearance)
 Sets the option to use die plate clearance. More...
 
void SetUsePunchPlateClearance (bool usePPClearance)
 Sets the option to use punch plate clearance. More...
 
void SetUseStripperPlateClearance (bool useSPClearance)
 Sets the option to use stripper plate clearance. More...
 
double StripperPlateClearance ()
 Returns the clearance value of stripper plate. More...
 
NXOpen::Tooling::BendInsertDesignBuilder::Types Type ()
 Returns the operation type of bending insert design. More...
 
bool UseBottomPlateClearance ()
 Returns the option to use bottom backing plate clearance. More...
 
bool UseDiePlateClearance ()
 Returns the option to use die plate clearance. More...
 
bool UsePunchPlateClearance ()
 Returns the option to use punch plate clearance. More...
 
bool UseStripperPlateClearance ()
 Returns the option to use stripper plate clearance. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend .


To create a new instance of this class, use NXOpen::Tooling::BendInsertDesignCollection::CreateBendInsertDesignBuilder
Default values.

Property Value

BendType

Sbend

BendingDirection

Down

BlankPosition

PunchPlate

BottomPlateClearance

0

CompositeInsert

0

ConceptDesign

0

DiePlateClearance

0

Extend.Value

5 (millimeters part), 1 (inches part)

ExtrudeEnd.Value

5 (millimeters part), 1 (inches part)

ExtrudeStart.Value

0 (millimeters part), 0 (inches part)

FalseBody

0

InsertType

Punch

ParentNode

Sub

PunchPlateClearance

0

ReName

0

StripperPlateClearance

0

Type

Standard

UseBottomPlateClearance

0

UseDiePlateClearance

0

UsePunchPlateClearance

0

UseStripperPlateClearance

0


Created in NX8.0.0.

Member Enumeration Documentation

the bending direction.

Enumerator
BendingDirectionOptionUp 

bending up

BendingDirectionOptionDown 

bending down

the bend type.

Enumerator
BendTypeOptionSbend 

90 degree bend

BendTypeOptionAbend 

angle bend

BendTypeOptionZbend 

z bend

BendTypeOptionVbend 

v bend

BendTypeOptionUzbend 

universal z bend

Specifies the blank position.

Enumerator
BlankPositionsPunchPlate 

the blank is on the punch plate

BlankPositionsStripperPlate 

the blank is on the stripper plate

the insert type.

Enumerator
InsertTypeOptionPunch 

punch insert

InsertTypeOptionDie 

die insert

the parent node.

Enumerator
ParentOptionSub 

sub parent

the bending operation.

Enumerator
TypesStandard 

standard insert

TypesUserDefined 

user defined

TypesDelete 

delete

Member Function Documentation

void NXOpen::Tooling::BendInsertDesignBuilder::AddInsertComponent ( )

Add the new bend insert component
Created in NX8.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::BendInsertDesignBuilder::BendFace ( )

Returns the bend face.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption NXOpen::Tooling::BendInsertDesignBuilder::BendingDirection ( )

Returns the bending direction.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption NXOpen::Tooling::BendInsertDesignBuilder::BendType ( )

Returns the bend type.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions NXOpen::Tooling::BendInsertDesignBuilder::BlankPosition ( )

Returns the blank position in punch plate or stripper plate.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::BendInsertDesignBuilder::BottomPlateClearance ( )

Returns the clearance value of bottom backing plate.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::CompositeInsert ( )

Returns the composite insert.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::ConceptDesign ( )

Returns the concept design option.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::BendInsertDesignBuilder::DiePlateClearance ( )

Returns the clearance value of die plate.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::Extend ( )

Returns the extend.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeEnd ( )

Returns the extrude end, A half when composite insert.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeEnd1 ( )

Returns the extrude end B -half.


Created in NX8.0.0.

License requirements : None

NXOpen::Section* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeSketch ( )

Returns the extrude sketch.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeStart ( )

Returns the extrude start, A half when composite insert.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::BendInsertDesignBuilder::ExtrudeStart1 ( )

Returns the extrude start - B half.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::FalseBody ( )

Returns the false body creation option.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::FlipTrimDirection ( )

Returns the flip trim feature direction of insert.


Created in NX9.0.1.

License requirements : None

NXOpen::Assemblies::SelectComponentList* NXOpen::Tooling::BendInsertDesignBuilder::InsertComponent ( )

Returns the select insert to delete
Created in NX8.0.0.



License requirements : None

NXOpen::Assemblies::SelectComponentList* NXOpen::Tooling::BendInsertDesignBuilder::InsertToEdit ( )

Returns the select insert to edit
Created in NX8.0.0.



License requirements : None

NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption NXOpen::Tooling::BendInsertDesignBuilder::InsertType ( )

Returns the insert type.


Created in NX8.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Tooling::BendInsertDesignBuilder::IntersectPlane ( )

Returns the intersect plane.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::IsAutoDatum ( )

Returns the auto datum plane
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Tooling::BendInsertDesignBuilder::NewPartName ( )

Returns the new component name.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BendInsertDesignBuilder::ParentOption NXOpen::Tooling::BendInsertDesignBuilder::ParentNode ( )

Returns the parent node.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Tooling::BendInsertDesignBuilder::ParentPartName ( )

Returns the parent part name to create insert.


Created in NX8.0.0.

License requirements : None

double NXOpen::Tooling::BendInsertDesignBuilder::PunchPlateClearance ( )

Returns the clearance value of punch plate.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::ReName ( )

Returns the rename option.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::BendInsertDesignBuilder::SetAutoDatum ( bool  isInner)

Sets the auto datum plane
Created in NX8.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
isInnerisinner
void NXOpen::Tooling::BendInsertDesignBuilder::SetBendingDirection ( NXOpen::Tooling::BendInsertDesignBuilder::BendingDirectionOption  bendingDirection)

Sets the bending direction.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bendingDirectionbendingdirection
void NXOpen::Tooling::BendInsertDesignBuilder::SetBendType ( NXOpen::Tooling::BendInsertDesignBuilder::BendTypeOption  bendType)

Sets the bend type.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bendTypebendtype
void NXOpen::Tooling::BendInsertDesignBuilder::SetBlankPosition ( NXOpen::Tooling::BendInsertDesignBuilder::BlankPositions  blankPosition)

Sets the blank position in punch plate or stripper plate.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
blankPositionblankposition
void NXOpen::Tooling::BendInsertDesignBuilder::SetBottomPlateClearance ( double  bottomPlateClr)

Sets the clearance value of bottom backing plate.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bottomPlateClrbottomplateclr
void NXOpen::Tooling::BendInsertDesignBuilder::SetCompositeInsert ( bool  compositeInsert)

Sets the composite insert.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
compositeInsertcompositeinsert
void NXOpen::Tooling::BendInsertDesignBuilder::SetConceptDesign ( bool  conceptDesign)

Sets the concept design option.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
conceptDesignconceptdesign
void NXOpen::Tooling::BendInsertDesignBuilder::SetDiePlateClearance ( double  diePlateClr)

Sets the clearance value of die plate.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
diePlateClrdieplateclr
void NXOpen::Tooling::BendInsertDesignBuilder::SetFaces ( const std::vector< NXOpen::Face * > &  faceOccs)

Sets the face occurrences into builder attribute.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
faceOccsarray of face occurrences
void NXOpen::Tooling::BendInsertDesignBuilder::SetFalseBody ( bool  falseBody)

Sets the false body creation option.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
falseBodyfalsebody
void NXOpen::Tooling::BendInsertDesignBuilder::SetFlipTrimDirection ( bool  flipTrimDirection)

Sets the flip trim feature direction of insert.


Created in NX9.0.1.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
flipTrimDirectionfliptrimdirection
void NXOpen::Tooling::BendInsertDesignBuilder::SetInsertType ( NXOpen::Tooling::BendInsertDesignBuilder::InsertTypeOption  insertType)

Sets the insert type.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
insertTypeinserttype
void NXOpen::Tooling::BendInsertDesignBuilder::SetIntersectPlane ( NXOpen::Plane intersectPlane)

Sets the intersect plane.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
intersectPlaneintersectplane
void NXOpen::Tooling::BendInsertDesignBuilder::SetNewPartName ( const NXString newPartNames)

Sets the new component name.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
newPartNamesSpecifies the new component name
void NXOpen::Tooling::BendInsertDesignBuilder::SetNewPartName ( const char *  newPartNames)

Sets the new component name.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
newPartNamesSpecifies the new component name
void NXOpen::Tooling::BendInsertDesignBuilder::SetParentNode ( NXOpen::Tooling::BendInsertDesignBuilder::ParentOption  parentNode)

Sets the parent node.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentNodeparentnode
void NXOpen::Tooling::BendInsertDesignBuilder::SetParentPartName ( const NXString parentPart)

Sets the parent part name to create insert.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartSpecifies the parent part name
void NXOpen::Tooling::BendInsertDesignBuilder::SetParentPartName ( const char *  parentPart)

Sets the parent part name to create insert.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPartSpecifies the parent part name
void NXOpen::Tooling::BendInsertDesignBuilder::SetPunchPlateClearance ( double  punchPlateClr)

Sets the clearance value of punch plate.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
punchPlateClrpunchplateclr
void NXOpen::Tooling::BendInsertDesignBuilder::SetReName ( bool  reName)

Sets the rename option.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
reNamerename
void NXOpen::Tooling::BendInsertDesignBuilder::SetStripperPlateClearance ( double  stripperPlateClr)

Sets the clearance value of stripper plate.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
stripperPlateClrstripperplateclr
void NXOpen::Tooling::BendInsertDesignBuilder::SetType ( NXOpen::Tooling::BendInsertDesignBuilder::Types  type)

Sets the operation type of bending insert design.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Tooling::BendInsertDesignBuilder::SetUseBottomPlateClearance ( bool  useBPClearance)

Sets the option to use bottom backing plate clearance.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
useBPClearanceusebpclearance
void NXOpen::Tooling::BendInsertDesignBuilder::SetUseDiePlateClearance ( bool  useDPClearance)

Sets the option to use die plate clearance.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
useDPClearanceusedpclearance
void NXOpen::Tooling::BendInsertDesignBuilder::SetUsePunchPlateClearance ( bool  usePPClearance)

Sets the option to use punch plate clearance.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
usePPClearanceuseppclearance
void NXOpen::Tooling::BendInsertDesignBuilder::SetUseStripperPlateClearance ( bool  useSPClearance)

Sets the option to use stripper plate clearance.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
useSPClearanceusespclearance
double NXOpen::Tooling::BendInsertDesignBuilder::StripperPlateClearance ( )

Returns the clearance value of stripper plate.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::BendInsertDesignBuilder::Types NXOpen::Tooling::BendInsertDesignBuilder::Type ( )

Returns the operation type of bending insert design.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::UseBottomPlateClearance ( )

Returns the option to use bottom backing plate clearance.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::UseDiePlateClearance ( )

Returns the option to use die plate clearance.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::UsePunchPlateClearance ( )

Returns the option to use punch plate clearance.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::BendInsertDesignBuilder::UseStripperPlateClearance ( )

Returns the option to use stripper plate clearance.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.